#include <iostream>

using namespace std;

int main()
{
    int n;
    cin >> n;
    int nizx[n], nizy[n], nizz[n], brMogucihResenja[n];

    for (int i = 0; i < n; i++) {
        cin >> nizx[i];
    }
    for (int i = 0; i < n; i++) {
        cin >> nizy[i];
    }
    for (int i = 0; i < n; i++) {
        cin >> nizz[i];
    }

    for (int i = 0; i < n; i++) {
        brMogucihResenja[i] = 0;
    }
    for (int i = 0; i < n; i++) {
        int vrednost = nizz[i];
        brMogucihResenja[vrednost - 1]++;
    }

    int br = 0;
    for (int i = 0; i < n; i++) {
        int x = nizx[i];
        for (int j = 0; j < n; j++) {
            if (x == nizy[j]) {
                br += brMogucihResenja[j];
            }
        }
    }

    //Da, slucajno sam radio B kategoriju i sad sam shvatio
    cout << br << endl;
    return 0;
}